import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';


export async function queryCampusList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.accountsCampusList}?${stringify(newParams)}`);
}

export async function downloadCampusExcel() {
  return request(`${api.accountsCampusDownload}`);
}

export async function queryTerminalsList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.accountsTerminalsList}?${stringify(newParams)}`);
}
export async function downloadTerminalsExcel() {
  return request(`${api.accountsTerminalsDownload}`);
}

export async function queryTotalList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.acconutsTotalList}?${stringify(newParams)}`);
}
export async function queryCampusAmount() {
  return request(`${api.acconutsCampusAmount}`);
}